Package wx :: Package lib :: Module delayedresult :: Class Producer

[frames | no frames]

## Type Producer

    object --+
             |
      _Verbose --+
                 |
            Thread --+
                     |
                    Producer

Represent the worker thread that produces delayed results. It causes the given function to run in a separate thread, and a sender to be used to send the return value of the function. As with any threading.Thread, instantiate and call start(). Note that if the workerFn raises AbortedException, the result is not sent and the thread terminates gracefully.

Method Summary
| ``__init__`(self, sender, workerFn, args, kwargs, name, group, daemon, sendReturn, senderArg)` The sender will send the return value of workerFn(*args, **kwargs) to the main thread.

Method Details

### __init__(self, sender, workerFn, args=(), kwargs={}, name=None, group=None, daemon=False, sendReturn=True, senderArg=None)
(Constructor)

The sender will send the return value of workerFn(*args, **kwargs) to the main thread. The name and group are same as threading.Thread constructor parameters. Daemon causes setDaemon() to be called. If sendReturn is False, then the return value of workerFn() will not be sent. If senderArg is given, it must be the name of the keyword arg to use to pass the sender into the workerFn, so the function can send (typically many) results.

  Overrides:
    `threading.Thread.__init__`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:17 2007 | http://epydoc.sf.net